[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-exchange] branch master updated: check first
From: |
gnunet |
Subject: |
[taler-exchange] branch master updated: check first |
Date: |
Sat, 09 Sep 2023 15:42:53 +0200 |
This is an automated email from the git hooks/post-receive script.
grothoff pushed a commit to branch master
in repository exchange.
The following commit(s) were added to refs/heads/master by this push:
new cf595fa8 check first
cf595fa8 is described below
commit cf595fa8480e87e1522710cd8ea7db9174aa028b
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sat Sep 9 15:42:50 2023 +0200
check first
---
contrib/taler-auditor-dbconfig | 8 ++++----
debian/taler-auditor.postinst | 3 ++-
2 files changed, 6 insertions(+), 5 deletions(-)
diff --git a/contrib/taler-auditor-dbconfig b/contrib/taler-auditor-dbconfig
index d46c41ef..245d6970 100755
--- a/contrib/taler-auditor-dbconfig
+++ b/contrib/taler-auditor-dbconfig
@@ -85,7 +85,7 @@ if sudo -i -u postgres psql "$DBNAME" < /dev/null 2> /dev/null
then
if [ 1 = "$RESET_DB" ]
then
- echo "Deleting existing database $DBNAME." 1>&2
+ echo "Deleting existing database '$DBNAME'." 1>&2
sudo -i -u postgres dropdb "$DBNAME"
else
echo "Database '$DBNAME' already exists, refusing to setup again."
@@ -111,10 +111,10 @@ fi
if [ -f "$CFGFILE" ]
then
- echo "Adding database configuration to $CFGFILE." 1>&2
+ echo "Adding database configuration to '$CFGFILE'." 1>&2
echo -e "[auditordb-postgres]\nCONFIG=postgres:///$DBNAME\n" >> "$CFGFILE"
else
- echo "Configuration $CFGFILE does not yet exist, creating it." 1>&2
+ echo "Configuration '$CFGFILE' does not yet exist, creating it." 1>&2
mkdir -p "$(dirname "$CFGFILE")"
echo -e "[auditordb-postgres]\nCONFIG=postgres:///$DBNAME\n" >> "$CFGFILE"
chown "$DBUSER":root "$CFGFILE"
@@ -123,7 +123,7 @@ fi
if [ 0 = "$SKIP_DBINIT" ]
then
- echo "Initializing database $DBNAME." 1>&2
+ echo "Initializing database '$DBNAME'." 1>&2
sudo -u "$DBUSER" taler-auditor-dbinit
fi
diff --git a/debian/taler-auditor.postinst b/debian/taler-auditor.postinst
index d65fd8c5..847e4aac 100644
--- a/debian/taler-auditor.postinst
+++ b/debian/taler-auditor.postinst
@@ -20,7 +20,8 @@ configure)
adduser --quiet --system --ingroup ${_GROUPNAME} --no-create-home --home
${TALER_HOME} ${_USERNAME}
fi
- if ! dpkg-statoverride --list /etc/taler/secrets/auditor-db.secret.conf
>/dev/null 2>&1; then
+ if ! dpkg-statoverride --list /etc/taler/secrets/auditor-db.secret.conf
>/dev/null 2>&1
+ then
dpkg-statoverride --add --update \
${_USERNAME} ${_GROUPNAME} 640 \
/etc/taler/secrets/auditor-db.secret.conf
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [taler-exchange] branch master updated: check first,
gnunet <=